Part Ebene

From FreeCAD Documentation
Jump to navigation Jump to search
This page is a translated version of the page Part Plane and the translation is 71% complete.
Other languages:
Deutsch • ‎English • ‎español • ‎français • ‎italiano • ‎polski • ‎português do Brasil • ‎română • ‎čeština • ‎русский
Arrow-left.svg Vorherige: Part Primitives.svg Primitives
Nächste: Ellipsoid Part Ellipsoid.svg Arrow-right.svg

Part Plane.svg Part Ebene

Menüeintrag
Formteil → Grundkörper erstellen... → Ebene
Arbeitsbereich
Part, OpenSCAD
Standardtastenkürzel
Keiner
Eingeführt in Version
-
Siehe auch
Part Grundelemente

Beschreibung

Eine Part Plane.svg Part Ebene ist eine parametrische rechteckige Ebene, die mit dem Befehl Part Primitives.svg Part Grundelemente erstellt werden kann. Im Koordinatensystem durch ihre Daten-EigenschaftPlacement festgelegt, liegt die Ebene auf der XY-Ebene mit ihrer vorderen linken Ecke im Ursprung und ihrer Vorderkante parallel zur X-Achse.

Part Plane Example.png

Anwendung

Siehe Part Grundelemente.

Beispiel

Part-Ebene aus dem Skriptbeispiel

Ein Part-Plane-Objekt, das mit dem Skriptbeispiel weiter unten erzeugt wurde, wird hier dargestellt.

Eigenschaften

Siehe auch: Eigenschafteneditor.

Ein Part-Ebene-Objekt wird von einem Part-Formelement abgeleitet und erbt alle seine Eigenschaften. Außerdem hat es die folgenden zusätzlichen Eigenschaften:

Daten

Attachment

The object has the same attachment properties as a Part Part2DObject.

Plane

  • DatenLength (Length): The length of the plane. This is the dimension in its X direction. The default is 10mm.
  • DatenWidth (Length): The width of the plane. This is the dimension in its Y direction. The default is 10mm.

Skripten

See also: Autogenerated API documentation, Part scripting and FreeCAD Scripting Basics.

A Part Plane can be created with the addObject() method of the document:

plane = FreeCAD.ActiveDocument.addObject("Part::Plane", "myPlane")
  • Where "myPlane" is the name for the object.
  • The function returns the newly created object.

Beispiel:

import FreeCAD as App

doc = App.activeDocument()

plane = doc.addObject("Part::Plane", "myPlane")
plane.Length = 4
plane.Width = 8
plane.Placement = App.Placement(App.Vector(1, 2, 3), App.Rotation(20, 75, 60))

doc.recompute()


Arrow-left.svg Vorherige: Part Primitives.svg Primitives
Nächste: Ellipsoid Part Ellipsoid.svg Arrow-right.svg